<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Categorys extends Front
{
    public function _initialize()
    {
        parent::_initialize();
    }
    
    public function index()
    {
        return $this->detail();
    }
    
    public function _empty($action='')
    {
        //允许的操作名
        if(!in_array($action,explode(',',config('cms.action_name')))){
            $this->error(lang('cmsErrorParams'));
        }
        //默认加载
        return $this->detail($action);
    }
    
    private function detail($action='index')
    {
        //变量赋值
        $this->assign([
            'seoTitle'       => cmsSeo(lang(camelize('cms_title_categorys_'.$action)),1),
            'seoKeywords'    => cmsSeo(lang(camelize('cms_keywords_categorys_'.$action)),1),
            'seoDescription' => cmsSeo(lang(camelize('cms_description_categorys_'.$action)),1),
        ]);
        //加载模板
        return $this->fetch();
    }
}