{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}"  />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <div class="row">
    <div class="col-12 col-md-9 mb-3 mb-md-0">
      <ol class="breadcrumb bg-white mb-3">
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index')}">首页</a></li>
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/categorys/index')}">分类</a></li>
        <li class="breadcrumb-item active">{$term_name|DcHtml}</li>
      </ol>
      {volist name="data" id="cms"}
        {include file="widget/list" /}
      {/volist}
      {if $page_list}
      <div class="rounded bg-white pt-3 mt-3 shadow-sm d-flex justify-content-center">
        {$page_list}
      </div>
      {/if}
    </div>
    <div class="col-12 col-md-3">{include file="widget/sitebar" /}</div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}