{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}"  />
<meta name="referrer" content="never">
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <ol class="breadcrumb bg-white mb-3">
    <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index')}">首页</a></li>
    {if $category_name}
    <li class="breadcrumb-item"><a href="{:cmsUrlCategory(reset($category))}">{:reset($category_name)}</a></li>
    {/if}
    <li class="breadcrumb-item active">{$info_name}</li>
  </ol>
  <div class="bg-white border-bottom mb-3">
    <div class="card-body">
      <h2 class="py-2">{$info_name}</h2>
      <p>{$info_create_time}
        {foreach name="category" item="item"}
        <a class="ml-1" href="{:cmsUrlCategory($item)}">{$item.term_name}</a>
        {/foreach}
        {foreach name="tag" item="item"}
        <a class="ml-1" href="{:cmsUrlTag($item)}">{$item.term_name}</a>
        {/foreach}
      </p>
      <section class="lead content mb-2">{$info_content}</section>
      <p class="lead text-center">
        <a class="btn btn-lg btn-purple px-4" href="{:cmsUrl('cms/value/up',['id'=>$info_id])}" data-toggle="infoUp">
          <i class="fa fa-thumbs-o-up"></i>
          <small class="infoUpValue">{$cms_up|number_format}</small>
        </a>
        {if $cms_referer}
        <a class="btn btn-lg btn-purple px-4" href="{$cms_referer}" target="_blank">
          <i class="fa fa-link"></i>
          <small class="infoUpValue">查看</small>
        </a>
        {/if}
      </p>
    </div>
    <div class="w-100 d-inline d-md-flex justify-content-md-between">
      <p class="px-3">{volist name=":cmsPrev($info_id,1,['type'=>'link'])" id="cms"}上一篇：<a href="{:cmsUrlDetail($cms)}" title="{$cms.info_name}">{$cms.info_name|cmsSubstr=0,18}</a>{/volist}</p>
      <p class="px-3">{volist name=":cmsNext($info_id,1,['type'=>'link'])" id="cms"}下一篇：<a href="{:cmsUrlDetail($cms)}" title="{$cms.info_name}">{$cms.info_name|cmsSubstr=0,18}</a>{/volist}</p>
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}