{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}"  />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <div class="row">
    <div class="col-12 col-md-9 mb-3 mb-md-0">
      <ol class="breadcrumb bg-white mb-2">
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index')}">首页</a></li>
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/tags/index')}">标签</a></li>
        <li class="breadcrumb-item active">{$term_name|DcHtml}</li>
      </ol>
      {volist name="data" id="cms"}
        {include file="widget/list" /}
      {/volist}
      {if $page_list}
      <div class="rounded bg-white pt-3 mt-3 shadow-sm d-flex justify-content-center">
        {$page_list}
      </div>
      {/if}
      <div class="card border-0 mt-2">
        <div class="card-header bg-white">
          <a class="text-purple" href="{:cmsUrl('cms/page/views')}">热门文章</a>
        </div>
        <ul class="list-unstyled card-body mb-0">
          {volist name=":cmsSelect(['status'=>'normal','limit'=>20,'term_id'=>$term_id,'sort'=>'info_views','order'=>'desc','field'=>'info_name,info_slug,info_action,info_views'])" id="cms"}
          <li class="py-2 text-truncate d-flex flex-row justify-content-between align-items-center">
            <a href="{:cmsUrlDetail($cms)}">{$cms.info_name|DcHtml}</a>
            <small class="text-muted">{$cms.info_views|number_format}</small>
          </li>
          {/volist}
        </ul>
      </div>
    </div>
    <div class="col-12 col-md-3">{include file="widget/sitebar" /}</div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}