{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}" />
<meta name="author" content="{:config('common.site_name')}" />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <ol class="breadcrumb bg-white mb-2">
    <li class="breadcrumb-item">
      <i class="fa fa-home text-purple"></i>
      <a href="{:DcUrl('cms/index/index')}">首页</a>
    </li>
    <li class="breadcrumb-item active">分类</li>
  </ol>
  <div class="card rounded-0 border-0 mb-2">
    <div class="card-body py-1">
      <div class="row row-1">
      {volist name=":cmsCategorySelect(['cache'=>true,'status'=>'normal','sort'=>'term_count','order'=>'desc'])" id="category"}
        <div class="col-4 my-1 px-1">
          <a class="btn btn-block btn-light btn-sm py-3" href="{:cmsUrlCategory($category)}">{$category.term_name}</a>
        </div>
      {/volist}
      </div>
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}