{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}" />
<meta name="author" content="{:config('common.site_name')}" />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
{block name="main"}
<div class="container">
  <ol class="breadcrumb bg-white mb-2">
    <li class="breadcrumb-item">
      <i class="fa fa-home text-purple"></i>
      <a href="{:DcUrl('cms/index/index')}">首页</a>
    </li>
    <li class="breadcrumb-item active">标签</li>
  </ol>
  <div class="card rounded-0 border-0 mb-2">
    <div class="card-body py-1">
      <div class="row row-1">
      {volist name="data" id="tag"}
        <div class="col-4 px-1 my-1">
          <a class="btn btn-block btn-light py-3" href="{:cmsUrlTag($tag)}" title="{$tag.term_name}"><small>{$tag.term_name|cmsSubstr=0,6}</small></a>
        </div>
      {/volist}
      </div>
    </div>
  </div>
  <!---->
  {if $page_list}
  <div class="w-100 bg-white pt-3 d-flex justify-content-center mb-2">
    {$page_list}
  </div>
  {/if}
</div>
{/block}
{block name="footer"}{include file="widget/footer" /}{/block}