{assign name="slide" value=":cmsSelect([
  'field'      => 'info_name,info_slug,info_action',
  'with'       => 'term,info_meta',
  'status'     => 'normal',
  'limit'      => 6,
  'sort'       => 'info_id',
  'order'      => 'desc',
  'meta_key'   => 'cms_head',
  'meta_value' => '1'
])"}
{if $slide}
<div class="carousel slide" id="dcSlide" data-ride="carousel">
  <ol class="carousel-indicators">
    {volist name="slide" id="cms"}
    <li data-target="#dcSlide" data-slide-to="{$key}" {eq name="key" value="0"}class="active"{/eq}></li>
    {/volist}
  </ol>
  <div class="carousel-inner">
    {volist name="slide" id="cms"}
    <div class="carousel-item {eq name="key" value="0"}active{/eq}" data-interval="3000">
      <a class="text-light text-center" href="{:cmsUrlDetail($cms)}">
        <p class="w-100 slide-text small">{$cms.info_name|cmsSubstr=0,24,false}</p>
        <img class="w-100 slide-height" src="{:cmsUrlImage($cms['cms_slide'],$path_root)}" alt="{$cms.info_name|DcHtml}">
      </a>
    </div>
    {/volist}
  </div>
  <a class="carousel-control-prev" href="#dcSlide" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#dcSlide" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>
{/if}