<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Page extends Front
{

    public function _initialize()
    {
        parent::_initialize();
    }
    
    //首页
    public function index()
    {
        return $this->fetch();
    }

    //最近更新
    public function news()
    {
        return $this->fetch();
    }
    
    //热门文章
    public function views()
    {
        return $this->fetch();
    }
    
    //属性－置顶文章
    public function top()
    {
        return $this->fetch();
    }
    
    //属性－推荐文章
    public function recommend()
    {
        return $this->fetch();
    }
    
    //属性－快审文章
    public function fast()
    {
        return $this->fetch();
    }
    
    //属性－头条文章
    public function head()
    {
        return $this->fetch();
    }
    
    //自定义
    public function _empty($name='')
    {
        $name = DcDirPath(DcHtml($name));
        if(is_file('./'.$this->site['path_view'].'page/'.$name.'.tpl')){
            return $this->fetch($name);
        }
        return $name;
    }
}