<?php
//插件语言包
return [
    'cmsErrorMax'                   => '超出限制',
    'cmsErrorParams'                => '参数错误',
    'cmsErrorEmpty'                 => '无查询结果',
    'cmsErrorRest'                  => '请先休息一下',
    
    //表单验证>公共
    'cmsRequireInfoModule'          => '应用名不能为空',
    'cmsRequireInfoId'              => '内容ID不存在',
    'cmsRequireInfoSlug'            => '别名不能为空',
    'cmsUniqueInfoSlug'             => '别名URL已存在',
    'cmsRequireInfoName'            => '标题不能为空',
    'cmsUniqueCmsReferer'           => '来源地址已存在',
    
    //表单验证>前台
    'cmsFailPost'                   => '采集器入库失败',
    'cmsSetPostPwdSet'              => '请先在后台设置入库密码',
    'cmsRequirePostPwd'             => '未找到密码字段（post_pwd）',
    'cmsErrorPostPwd'               => '采集器入库密码错误',

    //前台节点
    'cms/data/index'                => '文章API',
    'cms/search/index'              => '文章',
    'cms/search/baidu'              => '百度',
    'cms/search/sogou'              => '搜狗',
    'cms/search/toutiao'            => '头条',
    'cms/search/bing'               => '必应',
    'cms/search/so'                 => '360',
            
    //后台节点
    'cms/config/system'             => '频道设置',
    'cms/config/index'              => '页面配置',
    'cms/admin/index'               => '文章管理',
    'cms/admin/create'              => '添加文章',
    'cms/admin/edit'                => '修改文章',
    'cms/admin/save'                => '保存文章',
    'cms/admin/delete'              => '删除文章',
    'cms/seo/index'                 => 'SEO优化',
    'cms/collect/index'             => '采集管理',
    'cms/collect/create'            => '添加采集',
    'cms/collect/edit'              => '修改采集',
    'cms/collect/save'              => '保存采集规则',
    'cms/collect/delete'            => '删除采集规则',
    'cms/collect/write'             => '一键采集数据',
    'cms/collect/server'            => '资源站',
    'cms/baidu/index'               => '百度推送',
    'cms/baidu/push'                => '推送内容页',
    'cms/baidu/tag'                 => '推送标签页',
    'cms/baidu/form'                => '提交网址',
    
    //后台 > 统计
    'cms_count_category'            => 'CMS分类',
    'cms_count_tag'                 => 'CMS标签',
    'cms_count_detail'              => 'CMS内容',
    'cms_count_view'                => 'CMS流量',
    
    //后台 > 配置
    'cmsTipsTermTpl'                => '开启后继承主分类设置的详情页模板',
    'cmsTipsActionName'             => '逗号分隔，“=>”分隔描述信息',
    'cmsTipsPostPwd'                => '使用采集器入库时必须添加的密码字段（post_pwd）',
    'cmsTipsBaiduApi'               => '请到百度搜索资源平台申请API',
    'cmsTipsLabelStrip'             => 'cmsEditor函数允许的HTML标签',
    'cmsTipsSearchLike'             => '开启后数据较多时较慢',
    'cmsTipsSearchList'             => '逗号分隔，留空则不启用',
    'cmsTipsSearchField'            => '逗号分隔，如（info_name,info_excerpt,info_title）',
    'cmsTipsSearchHot'              => '逗号分隔热门搜索关键词',
    'cmsTipsCloseUseragent'         => '按UserAgent关键字封禁，多个用|号分隔，留空不启用',
    'cmsTipsRequestMax'             => '自动根据60秒内同一IP最大请求次数封禁，设为0不启用',
    'cmsTipsBlackIp'                => '黑名单内的IP直接封禁，IP段配置为（*）、留空不启用、多个用|号分隔',
    'cmsTipsWhiteIp'                => '白名单内的IP直接放行、留空不启用、多个用|号分隔、IP段配置实例（127.0.0.*）',
    'cmsTipsSearchInterval'         => '指定时间内（秒）只能搜索一次，设为0不启用',
    'cmsTipsInfoType'               => '逗号分隔，“=>”分隔描述信息',
    'cmsTipsTotal'                  => '-1=简洁分页、0=全部',
    'cmsTipsLimit'                  => '0=禁用',
    //频道设置
    'cms_theme'                     => '模板主题',
    'cms_theme_wap'                 => '移动端主题',
    'cms_slug_first'                => '别名首字母',
    'cms_term_tpl'                  => '继承分类模板',
    'cms_action_name'               => '扩展内容模型',
    'cms_search_like'               => '模糊搜索字段',
    'cms_search_list'               => '搜索入口列表',
    'cms_search_field'              => '搜索字段范围',
    'cms_search_hot'                => '热门搜索词',
    'cms_post_pwd'                  => '采集器入库密码',
    'cms_baidu_api'                 => '百度API提交',
    'cms_label_strip'               => '允许HTML标签',
    'cms_close_useragent'           => 'UA标识限制',
    'cms_request_max'               => 'IP请求频率',
    'cms_black_ip'                  => 'IP黑名单值',
    'cms_white_ip'                  => 'IP白名单值',
    'cms_search_interval'           => '搜索间隔时长',
    //页面设置
    'cms_info_type'                 => '扩展类型属性',
    'cms_page_max'                  => '最大页码限制',
    'cms_sort_index'                => '频道页排序字段',
    'cms_limit_index'               => '频道页每页数量',
    'cms_total_index'               => '频道页总记录数',
    'cms_sort_category'             => '分类页排序字段',
    'cms_limit_category'            => '分类页每页数量',
    'cms_total_category'            => '分类页总记录数',
    'cms_sort_tag'                  => '标签页排序字段',
    'cms_limit_tag'                 => '标签页每页数量',
    'cms_total_tag'                 => '标签页总记录数',
    'cms_sort_filter'               => '筛选页排序字段',
    'cms_limit_filter'              => '筛选页每页数量',
    'cms_total_filter'              => '筛选页总记录数',
    'cms_sort_search'               => '搜索页排序字段',
    'cms_limit_search'              => '搜索页每页数量',
    'cms_total_search'              => '搜索页总记录数',
    'cms_sort_tags'                 => '聚合页排序字段',
    'cms_limit_tags'                => '聚合页每页数量',
    'cms_total_tags'                => '聚合页总记录数',
    
    //后台 > SEO优化
    'cms_seo_title'                 => 'SEO标题',
    'cms_seo_keywords'              => 'SEO关键字',
    'cms_seo_description'           => 'SEO描述',
    'cms_rewrite_index'             => '频道页伪静态',
    'cms_rewrite_category'          => '分类页伪静态',
    'cms_rewrite_tag'               => '标签页伪静态',
    'cms_rewrite_search'            => '搜索页伪静态',
    'cms_rewrite_detail'            => '内容页伪静态',
    'cms_sitemap_limit'             => '地图页每页数量',
    'cms_sitemap_max'               => '地图页最大页码',
    'cms_sitemap_start'             => '地图页起始模式ID值',
    
    //后台 > 百度推送
    'cmsTipsBaiduApi'               => '请先填写百度API提交地址',
    'cmsTipsPushing'                => '推送中',
    'cmsTipsPushFinish'             => '推送完成',
    'cms_page_size'                 => '每页数量',
    'cms_start_id'                  => '开始ID',

    //后台 > 采集模型
    'collect_name'                  => '资源站名',
    'collect_url'                   => '资源地址',
    'collect_token'                 => '授权密钥',
    'collect_category'              => '分类转换',
    'collect_url_tips'              => 'http或https开头的网址',
    'collect_token_tips'            => '不单独设置则使用系统全局设置的令牌',
    'collect_category_tips'         => '一行一个，使用 => 分隔，不存在的分类在采集时会自动创建',
    'collect_error_404'             => '无法链接资源站，请检查是否禁用了CURL函数',

    //后台 > 文章模型
    'cmsTipsCmsLetter'              => '不填写时自动生成',
    'cmsTipsInfoNmae'               => '文章标题必需填写',
    'cmsTipsCmsReferer'             => '文章来源（来源网址|链接网址|转载出处）',
    'cmsTipsCmsTpl'                 => '模板文件名，不带后缀',
    'cms_type'                      => '类型',
    'cms_status'                    => '状态',
    'cms_id'                        => 'ID',
    'cms_name'                      => '文章标题',
    'cms_slug'                      => '固定链接',
    'cms_content'                   => '详情内容',
    'cms_color'                     => '标题颜色',
    'cms_cover'                     => '文章封面',
    'cms_slide'                     => '头条封面',
    'cms_letter'                    => '首字母',
    'cms_category'                  => '分类',
    'cms_tag'                       => '标签',
    'cms_attr'                      => '属性',
    'cms_head'                      => '头条',
    'cms_fast'                      => '快审',
    'cms_recommend'                 => '推荐',
    'cms_top'                       => '置顶',
    'cms_up'                        => '点赞',
    'cms_down'                      => '讨厌',
    'cms_tpl'                       => '模板名',
    'cms_referer'                   => '来源',
];