{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}"  />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <div class="row">
    <div class="col-12 col-md-9 mb-3 mb-md-0">
      <ol class="breadcrumb bg-white mb-2">
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index')}">首页</a></li>
        <li class="breadcrumb-item active">{:config('common.site_name')}为您找到相关结果约{$total|number_format}个</li>
      </ol>
      {if $searchList}
      <div class="bg-white p-3 mb-2">
        <ul class="nav nav-pills mb-0">
          <li class="nav-item"><a class="nav-link px-3 py-1 active" href="{:DcUrl('cms/search/index',['searchText'=>$searchText])}">{:lang('cms/search/index')}</a></li>
          {volist name="searchList" id="searchUrl"}
          <li class="nav-item"><a class="nav-link px-3 py-1" href="{$searchUrl}" target="_blank">{:lang($key)}</a></li>
          {/volist}
        </ul>
      </div>
      {/if}
      {volist name="data" id="cms"}
        {include file="widget/list" /}
      {/volist}
      {if $page_list}
      <div class="rounded bg-white pt-3 mt-3 shadow-sm d-flex justify-content-center">
        {$page_list}
      </div>
      {/if}
    </div>
    <div class="col-12 col-md-3">
      <div class="bg-white p-3">
      <h6><a class="text-purple" href="{:cmsUrl('cms/categorys/index')}">网站分类</a></h6>
      <ul class="list-unstyled row">
      {volist name=":cmsCategorySelect(['status'=>'normal',limit=>60,'sort'=>'term_id','order'=>'desc','module'=>['in','cms,common']])" id="category"}
      <li class="py-2 col-6"><a href="{:cmsUrlCategory($category)}">{$category.term_name}</a></li>
      {/volist}
      </ul>
      <h6><a class="text-purple" href="{:cmsUrl('cms/tags/index')}">热门标签</a></h6>
      <ul class="list-unstyled row pb-0 mb-0">
      {volist name=":cmsTagSelect(['status'=>'normal',limit=>20,'sort'=>'term_count','order'=>'desc'])" id="tag"}
      <li class="py-2 col-6"><a href="{:cmsUrlTag($tag)}">{$tag.term_name}</a></li>
      {/volist}
      </ul>
      </div>
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}