{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:lang('cmsTitlePageIndex')}－{:config('common.site_name')}</title>
<meta name="keywords" content="{:lang('cmsKeywordsPageIndex')}" />
<meta name="description" content="{:lang('cmsDescriptionPageIndex')}" />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <ol class="breadcrumb bg-white mb-2">
    <li class="breadcrumb-item">
      <i class="fa fa-home text-purple"></i>
      <a href="{:cmsUrl('cms/index/index')}">首页</a>
    </li>
    <li class="breadcrumb-item active">{:lang('cmsTitlePageIndex')}</li>
  </ol>
  <div class="card rounded-0 border-0 mb-2">
    <div class="card-body py-1">
      <div class="row row-1">
        <div class="col-4 my-1 px-1">
          <a class="btn btn-block btn-light btn-sm py-3" href="{:DcUrl('cms/page/news')}">最新文章</a>
        </div>
        {volist name=":DcTermNavbar(['result'=>'array','type'=>['in','nav,bottom,link,ico'],'status'=>'normal','limit'=>100,'sort'=>'term_order','order'=>'desc'])" id="nav"}
        <div class="col-4 my-1 px-1">
          <a class="btn btn-block btn-light btn-sm py-3" href="{$nav.navs_link}">{$nav.navs_name|cmsSubstr=0,6,false}</a>
        </div>
        {/volist}
        {volist name=":cmsCategorySelect(['cache'=>true,'status'=>'normal','sort'=>'term_count','order'=>'desc'])" id="category"}
        <div class="col-4 my-1 px-1">
          <a class="btn btn-block btn-light btn-sm py-3" href="{:cmsUrlCategory($category)}">{$category.term_name}</a>
        </div>
        {/volist}
        <div class="col-4 my-1 px-1">
          <a class="btn btn-block btn-light btn-sm py-3" href="{:DcUrl('cms/filter/index')}">内容筛选</a>
        </div>
        <div class="col-4 my-1 px-1">
          <a class="btn btn-block btn-light btn-sm py-3" href="{:DcUrl('cms/sitemap/indexs')}">SiteMap</a>
        </div>
      </div>
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}