{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}" />
<meta name="author" content="{:config('common.site_name')}" />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <ol class="breadcrumb rounded-0 mb-2">
    <li class="breadcrumb-item"><i class="fa fa-home mr-1 text-purple"></i><a href="{:DcUrl('cms/index/index')}">首页</a></li>
    <li class="breadcrumb-item active">搜索<strong class="mx-1">“{$searchText}”</strong>约<strong class="text-muted mx-1">{$total|number_format}</strong>个</li>
  </ol>
  <ul class="nav nav-tabs" id="myTab">
    <li class="nav-item">
      <a class="nav-link active" data-toggle="tab" href="#home">标题</a>
    </li>
    {volist name="searchList" id="searchUrl"}
      <a class="nav-link" href="{$searchUrl}" target="_blank">{:lang($key)}</a>
    {/volist}
  </ul>
  <div class="tab-content bg-white pt-3 pb-1" id="myTabContent">
    <div class="tab-pane fade show active" id="home">
      {volist name="data" id="cms"}
        {include file="widget/item" /}
      {/volist}
    </div>
  </div>
  {if $page_list}
  <div class="w-100 bg-white pt-3 mt-2 mb-2 d-flex justify-content-center">{$page_list}</div>
  {/if}
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}