{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}" />
<meta name="author" content="{:config('common.site_name')}" />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <ol class="breadcrumb bg-white mb-0 border-bottom">
    <li class="breadcrumb-item">
      <i class="fa fa-home text-purple"></i>
      <a href="{:DcUrl('cms/index/index')}">首页</a>
    </li>
    <li class="breadcrumb-item active">{$term_name|DcHtml}</li>
  </ol>
  <div class="card rounded-0 border-0 mb-2">
    <div class="card-body row pb-0">
      {volist name="data" id="cms"}
        {include file="widget/item" /}
      {/volist}
    </div>
  </div>
  {if $page_list}
  <div class="w-100 bg-white pt-3 mb-2 d-flex justify-content-center">{$page_list}</div>
  {/if}
  <div class="card rounded-0 border-0 mb-2">
    <div class="card-header bg-white">
      <i class="fa fa-fw fa-navicon text-purple"></i>
      <a href="{:DcUrl('cms/page/views')}">热门</a>
    </div>
    <div class="card-body row pb-0 mb-0">
      {volist name=":cmsSelect(['status'=>'normal','term_id'=>['eq',$term_id],'limit'=>20,'sort'=>'info_views','order'=>'desc','field'=>'info_name,info_slug,info_action,info_create_time'])" id="cms"}
        {include file="widget/item" /}
      {/volist}
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}