<?php
namespace app\friend\event;

class Sql
{
    /**
    * 安装时触发
    * @return bool 只有返回true时才会往下执行
    */
	public function install()
    {
        //初始配置
        model('friend/Install','loglic')->config();
        
        //初始字段
        model('friend/Install','loglic')->field();
        
        //初始路由
        model('friend/Install','loglic')->route();
        
        //初始菜单
        model('friend/Install','loglic')->menu();
        
        //初始导航
        model('friend/Install','loglic')->navs();
        
        //初始数据
        model('friend/Install','loglic')->info();
        
        //更新缓存
        \think\Cache::clear();
        
        //返回结果
        return true;
	}
    
    /**
    * 升级时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function upgrade()
    {
        model('common/Field','loglic')->unInstall('friend');
        
        model('friend/Install','loglic')->field();
        
        model('friend/Upgrade','loglic')->storeStatus();
        
        return true;
    }
    
    /**
    * 卸载时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function remove()
    {
        model('friend/Remove','loglic')->init();
        
        return true;
    }
    
    /**
    * 删除时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function unInstall()
    {
        model('friend/Remove','loglic')->delete();
        
        return true;
	}
}